## cascading.util
Class Update

    java.lang.Object
      java.util.TimerTask
          cascading.util.Update

All Implemented Interfaces:
  Runnable

    public class Update

extends TimerTask

Field Summary
`static String` `UPDATE_CHECK_SKIP`
`static String` `UPDATE_URL`

Constructor Summary
`Update()`

Method Summary
`boolean` `checkForUpdate()`
`static void` `checkForUpdate(PlatformInfo platformInfo)`
`void` `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPDATE_CHECK_SKIP

    public static final String UPDATE_CHECK_SKIP

See Also:
  Constant Field Values

### UPDATE_URL

    public static final String UPDATE_URL

See Also:
  Constant Field Values

Constructor Detail

### Update

    public Update()

Method Detail

### checkForUpdate

    public static void checkForUpdate(PlatformInfo platformInfo)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

### checkForUpdate

    public boolean checkForUpdate()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.